[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# DateTimeRecToDateTime

Convert TDateTimeRec record to a TDateTime value.

## Declaration

Source position: db.pas line 1955

`function DateTimeRecToDateTime(`
`DT: TFieldType;`
`Data: TDateTimeRec`
`):TDateTime;`

## Arguments

`DT` |  | Datatype of Data.
`Data` |  | Timestamp specification in TDateTimeRec formar.

## Function result

TDateTime value corresponding to timestamp in Data.

## Description

DateTimeRecToDateTime examines Data and Dt and uses dt to convert the timestamp in Data to a TDateTime value.

## See also

TFieldType |  | Field data type description
TDateTimeRec |  | Date/Time record
DateTimeToDateTimeRec |  | Convert TDateTime value to a TDateTimeRec record.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .